public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/iwidgets/
Date: Fri,  5 Oct 2018 19:50:11 +0000 (UTC)	[thread overview]
Message-ID: <1538768995.d63aeb2e5a84e9fbe814ebfa85b4a038fb4e7906.tupone@gentoo> (raw)

commit:     d63aeb2e5a84e9fbe814ebfa85b4a038fb4e7906
Author:     Tupone Alfredo <tupone <AT> gentoo <DOT> org>
AuthorDate: Fri Oct  5 19:49:55 2018 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Fri Oct  5 19:49:55 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d63aeb2e

dev-tcltk/iwidgets: Version bump to 4.1.1

Closes: https://bugs.gentoo.org/478012
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>
Package-Manager: Portage-2.3.49, Repoman-2.3.10

 dev-tcltk/iwidgets/Manifest              |  3 ++
 dev-tcltk/iwidgets/iwidgets-4.1.1.ebuild | 62 ++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-tcltk/iwidgets/Manifest b/dev-tcltk/iwidgets/Manifest
index aa73e53e767..da9c9224b5d 100644
--- a/dev-tcltk/iwidgets/Manifest
+++ b/dev-tcltk/iwidgets/Manifest
@@ -1,2 +1,5 @@
 DIST itcl3.2.1_src.tgz 427026 BLAKE2B f37612bc21916bfad082d60cd216e28f2e427307e0ea80aa0ca1506c1d247471bfcd20be744a16ef57f5e04db0c34fcc436f2fbe53715462417202377a6cf0e4 SHA512 f6b832f20e53bac66c8bcdbf64aa4aad932ee827fb8059ad2e0dca0c61db01affde6b67c1e0acb331a3837eebcb38282fa7bec90f5d6ed4b65799f4424679f3f
+DIST itcl4.0.3.tar.gz 430522 BLAKE2B e1ce0325a501b0227f6ec721927488dff0e2ea323bb8b03b046ce23964b55cdf44d7633f34546b9b0432785e609bb7dddeb3a300cbb2d82a9e4eb70acb1bfd66 SHA512 9736a08f0f33e0afa677a77eb643454908531786435b73314a80d9ee211c06f037eb0de3c2c2608b728253f9ec613a601d76f16f29964eb06b667ecbb3400df4
+DIST itk4.0.1.tar.gz 182029 BLAKE2B fe3ed0adddf71af9bf795949b18baf7d983edc1e6e95939db18bdf896069083afbc8498935b0c59e2c5f4179fdc6f624e67198afa0755e8183d754c181d50642 SHA512 d64beeb42949e96b384ef2fd571971813697086df8b18af79399cedbb80eba19dc013677957959ea93dc0dcd7cdc4be012b3f9a5f0eedf0bd743550837bd78fc
+DIST iwidgets-4.1.1.tar.gz 720630 BLAKE2B f276159893b19d7af7cbbe3653f9e406184c76065ae7906c34388545bdfff1b9e427a6e9b1985f349e9229c69c935b5b85ae8a0fd15ef28b0a1312fc4fcec8f4 SHA512 56fd91d832c59426b030bde2ec7136e46751503dac1b650d195251cac7ef1d1a7024adb2d995fe835f1039a0f99eb616db97a9e9c591f827a911eea2c233c305
 DIST iwidgets4.0.1.tar.gz 647960 BLAKE2B 3dafbe73a40e4babff574a82b4bd68546f109a52197f15228877950560f8089f95a44da93c3ff2723e2a40f26bac0e00ca4f34099e716591b93e9aba846e4257 SHA512 61d1980eb8beb2821fbd8333f5d1f6faa8bf59d98392fee8d166eef213b27c6b66121d42b8eef64d151e5249009be56076a8cf8bb6635072ee6ee4075858182e

diff --git a/dev-tcltk/iwidgets/iwidgets-4.1.1.ebuild b/dev-tcltk/iwidgets/iwidgets-4.1.1.ebuild
new file mode 100644
index 00000000000..5c4d8362e2e
--- /dev/null
+++ b/dev-tcltk/iwidgets/iwidgets-4.1.1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit multilib
+
+BASE_URI_ITCLTK="mirror://sourceforge/incrtcl/%5BIncr%20Tcl_Tk%5D-4-source"
+ITCL_VER=4.0.3
+ITK_VER=4.0.1
+
+DESCRIPTION="Widget collection for incrTcl/incrTk"
+HOMEPAGE="http://incrtcl.sourceforge.net/itcl/"
+SRC_URI="
+	mirror://sourceforge/incrtcl/%5BIncr%20Widgets%5D/${PV}/${P}.tar.gz
+	${BASE_URI_ITCLTK}/itcl%20${ITCL_VER}/itcl${ITCL_VER}.tar.gz
+	${BASE_URI_ITCLTK}/itk%20${ITK_VER}/itk${ITK_VER}.tar.gz"
+
+LICENSE="HPND Old-MIT tcltk"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+DEPEND="
+	>=dev-tcltk/itcl-${ITCL_VER}
+	>=dev-tcltk/itk-${ITK_VER}"
+RDEPEND="${DEPEND}"
+
+RESTRICT="test"
+
+src_prepare() {
+	default
+	sed \
+		-e "/^\(LIB\|SCRIPT\)_INSTALL_DIR =/s|lib|$(get_libdir)|" \
+		-i Makefile.in || die
+	sed -i \
+		-e "/require/s:Itk:itk:" \
+		iwidgets.tcl.in
+
+	# Bug 115470
+	rm doc/panedwindow.n
+}
+
+src_configure() {
+	(cd ../itcl${ITCL_VER}; ./configure)
+	econf \
+		--with-tcl="${EPREFIX}"/usr/$(get_libdir) \
+		--with-tk="${EPREFIX}"/usr/$(get_libdir) \
+		--with-itcl="${WORKDIR}"/itcl${ITCL_VER} \
+		--with-itk="${WORKDIR}"/itk${ITK_VER}
+}
+
+src_compile() {
+	:
+}
+
+src_install() {
+	default
+
+	# demos are in the wrong place:
+	mv "${ED}/usr/$(get_libdir)/${PN}${PV}/demos" "${ED}/usr/share/doc/${PF}/"
+}


             reply	other threads:[~2018-10-05 19:50 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-10-05 19:50 Alfredo Tupone [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-10-12  8:37 [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/iwidgets/ Alfredo Tupone
2019-03-27 21:22 Sergei Trofimovich
2019-04-07 22:15 Aaron Bauman
2019-06-05  7:28 Agostino Sarubbo
2019-06-05  7:46 Agostino Sarubbo
2019-11-17  4:37 Matt Turner
2019-11-20  7:14 Alfredo Tupone
2021-09-18 16:51 Alfredo Tupone
2023-03-12  8:30 Alfredo Tupone
2024-02-28 20:13 Alfredo Tupone
2024-02-28 20:31 Alfredo Tupone

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1538768995.d63aeb2e5a84e9fbe814ebfa85b4a038fb4e7906.tupone@gentoo \
    --to=tupone@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox